Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000327Core InformEquations, units, arithmeticpublic2010-10-09 19:182010-10-28 00:31
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000327: Value check failure leads to an internal error instead of a warning
DescriptionImproper value usage leads to:

An internal error has occurred: attempt to retrieve wrong pointer type as named_constant. The current sentence is 'now the granary of land price is 16 acres' ; the error was detected at line 758 of "Chapter 2/Memory.w". This should never happen, and I am now halting in abject failure.

I have also reproduced this on the current build for Fedora x86 Linux.
Minimal Source Text To Reproduce
"Bug Report 2010Oct09A" by Jim Lai

Use full-length room descriptions.

Toronto is a room.

Acreage is a kind of value.  1 acre (singular) specifies an acreage.  3 acres (plural) specifies an acreage.  
A kingdom has acreage.

Granary is a kind of value.  1 bushel (singular) specifies a granary.  3 bushels (plural) specifies a 
granary.  A kingdom has granary.

Land price has a granary.

Land valuation rules is a rulebook.
A land valuation rule: now the granary of land price is 16 acres.
[a correct value above would be 16 bushels; however, this generates an internal error]
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
graham (administrator)
2010-10-10 04:47

An unfortunate one, this, as the internal error occurred just as Inform was about to produce a friendly problem message. Fixed.

- Issue History
Date Modified Username Field Change
2010-10-09 19:18 grimjim New Issue
2010-10-09 19:28 jmcgrew Status new => acknowledged
2010-10-09 19:29 jmcgrew Category Kinds and type checking => Equations, units, arithmetic
2010-10-10 04:45 graham Status acknowledged => confirmed
2010-10-10 04:47 graham Note Added: 0000681
2010-10-10 04:47 graham Status confirmed => resolved
2010-10-10 04:47 graham Resolution open => fixed
2010-10-10 04:47 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker